Bug 1595575 (CVE-2018-12900) - CVE-2018-12900 libtiff: Heap-based buffer overflow in the cpSeparateBufToContigBuf function resulting in a denial of service or possibly code execution
Summary: CVE-2018-12900 libtiff: Heap-based buffer overflow in the cpSeparateBufToCont...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12900
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1595577 1595576 1595578 1595579 1600430
Blocks: 1595581
TreeView+ depends on / blocked
 
Reported: 2018-06-27 07:48 UTC by Andrej Nemec
Modified: 2019-11-05 20:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:19:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:08:57 UTC
Red Hat Product Errata RHSA-2019:3419 None None None 2019-11-05 20:48:25 UTC

Description Andrej Nemec 2018-06-27 07:48:55 UTC
Heap-based buffer overflow in the cpSeparateBufToContigBuf function in tiffcp.c in LibTIFF 4.0.9 allows remote attackers to cause a denial of service (crash) or possibly have unspecified other impact via a crafted TIFF file.

Upstream issue:

http://bugzilla.maptools.org/show_bug.cgi?id=2798

Comment 1 Andrej Nemec 2018-06-27 07:49:30 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1595576]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1595578]
Affects: fedora-all [bug 1595577]

Comment 3 Riccardo Schirone 2018-07-12 08:22:46 UTC
Raised CVSSv3 to 5.3/CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L because I do not exclude something more than a simple crash is possible with this flaw. Indeed you can overwrite many bytes after the limits of an heap-allocated buffer, thus code execution through heap manipulation is not excluded.

Comment 5 Riccardo Schirone 2018-07-12 08:42:43 UTC
The flaw is in the tiffcp binary and not in the libtiff library, thus programs that use libtiff are not affected.

Comment 7 Riccardo Schirone 2018-07-12 08:51:39 UTC
Patch is not available upstream yet.

Comment 8 errata-xmlrpc 2019-08-06 12:08:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053

Comment 9 Product Security DevOps Team 2019-08-06 19:19:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-12900

Comment 10 errata-xmlrpc 2019-11-05 20:48:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3419 https://access.redhat.com/errata/RHSA-2019:3419


Note You need to log in before you can comment on or make changes to this bug.